Last modified: 2013-07-25 07:04:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24068 - Add API for querying the FlaggedRevs protection level
Add API for querying the FlaggedRevs protection level
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Alex Monk
:
Depends on:
Blocks: noncoreapi
  Show dependency treegraph
 
Reported: 2010-06-22 11:48 UTC by Brad Jorsch
Modified: 2013-07-25 07:04 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brad Jorsch 2010-06-22 11:48:33 UTC
It seems we can set the protection level with action=stabilize, but there does not seem to be any way to read the current protection level via the API. This could be added to action=query&prop=flagged, or a separate prop could be added. Or it could be added to action=query&prop=info&inprop=protection with other protection information, but I don't think there's a hook for that at this time.
Comment 1 Aaron Schulz 2010-11-30 19:57:08 UTC
This should probably wait till the code fork.
Comment 2 Sumana Harihareswara 2011-12-20 20:50:48 UTC
What fork?  Has the fork already happened?
Comment 3 This, that and the other (TTO) 2013-01-29 10:09:41 UTC
Twinkle on enwiki would love to consume this data.  

All it takes is a join onto `flaggedpage_config` to get the `fpc_level` and `fpc_expiry` fields, in api/reports/ApiQueryFlagged.php. If only I could code it myself.
Comment 4 Alex Monk 2013-02-02 17:33:24 UTC
Gerrit change #47216
Comment 5 Gerrit Notification Bot 2013-07-15 16:04:58 UTC
Change 47216 merged by Anomie:
(bug 24068) Add protection level to ApiQueryFlagged

https://gerrit.wikimedia.org/r/47216

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links